Arduino

Buy | Download | Getting Started | Learning | Reference | Hardware | FAQ

Blog » | Forum » | Playground »

Reference Language | Libraries | Comparison | Changes

## SoftwareSerial: int read()

#### Description

Reads a character from the receive pin of the software serial port. This function waits for a character to arrive, reads it, and returns the character read. Data that arrives at other times is lost.

#### Parameters

none

#### Returns

the character read

#### Example

    SoftwareSerial serial(6, 7);

    void setup()
    {
      serial.begin(9600);
    }

    void loop()
    {
      char c = serial.read();
    }

#### See also

- SoftwareSerial()
- begin()
- print()
- println()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

Share|
Edit Page | Page History | Printable View | All Recent Site Changes